<?php



$tdatatb_clientes = array();
$tdatatb_clientes[".searchableFields"] = array();
$tdatatb_clientes[".ShortName"] = "tb_clientes";
$tdatatb_clientes[".OwnerID"] = "";
$tdatatb_clientes[".OriginalTable"] = "tb_clientes";


$tdatatb_clientes[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_clientes[".originalPagesByType"] = $tdatatb_clientes[".pagesByType"];
$tdatatb_clientes[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_clientes[".originalPages"] = $tdatatb_clientes[".pages"];
$tdatatb_clientes[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_clientes[".originalDefaultPages"] = $tdatatb_clientes[".defaultPages"];

//	field labels
$fieldLabelstb_clientes = array();
$fieldToolTipstb_clientes = array();
$pageTitlestb_clientes = array();
$placeHolderstb_clientes = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_clientes["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_clientes["Portuguese(Brazil)"] = array();
	$placeHolderstb_clientes["Portuguese(Brazil)"] = array();
	$pageTitlestb_clientes["Portuguese(Brazil)"] = array();
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["clienteID"] = "Cliente ID";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["clienteID"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["clienteID"] = "";
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["cliente"] = "Cliente";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["cliente"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["cliente"] = "";
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["empresa"] = "Empresa";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["empresa"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["empresa"] = "";
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["data_cadastro"] = "Data Cadastro";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["data_cadastro"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["data_cadastro"] = "";
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["whats"] = "Whats";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["whats"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["whats"] = "";
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["email"] = "Email";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["email"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["email"] = "";
	$fieldLabelstb_clientes["Portuguese(Brazil)"]["ativar"] = "Ativar";
	$fieldToolTipstb_clientes["Portuguese(Brazil)"]["ativar"] = "";
	$placeHolderstb_clientes["Portuguese(Brazil)"]["ativar"] = "";
	if (count($fieldToolTipstb_clientes["Portuguese(Brazil)"]))
		$tdatatb_clientes[".isUseToolTips"] = true;
}


	$tdatatb_clientes[".NCSearch"] = true;


	$tdatatb_clientes[".scrollGridBody"] = true;

$tdatatb_clientes[".shortTableName"] = "tb_clientes";
$tdatatb_clientes[".nSecOptions"] = 0;

$tdatatb_clientes[".mainTableOwnerID"] = "";
$tdatatb_clientes[".entityType"] = 0;

$tdatatb_clientes[".strOriginalTableName"] = "tb_clientes";

	



$tdatatb_clientes[".showAddInPopup"] = false;

$tdatatb_clientes[".showEditInPopup"] = false;

$tdatatb_clientes[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_clientes[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_clientes[".listAjax"] = false;
//	temporary
$tdatatb_clientes[".listAjax"] = false;

	$tdatatb_clientes[".audit"] = false;

	$tdatatb_clientes[".locking"] = false;


$pages = $tdatatb_clientes[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_clientes[".edit"] = true;
	$tdatatb_clientes[".afterEditAction"] = 0;
	$tdatatb_clientes[".closePopupAfterEdit"] = 1;
	$tdatatb_clientes[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_clientes[".add"] = true;
$tdatatb_clientes[".afterAddAction"] = 0;
$tdatatb_clientes[".closePopupAfterAdd"] = 1;
$tdatatb_clientes[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_clientes[".list"] = true;
}



$tdatatb_clientes[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_clientes[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_clientes[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_clientes[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_clientes[".printFriendly"] = true;
}



$tdatatb_clientes[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_clientes[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_clientes[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_clientes[".isUseAjaxSuggest"] = true;

$tdatatb_clientes[".rowHighlite"] = true;





$tdatatb_clientes[".ajaxCodeSnippetAdded"] = false;

$tdatatb_clientes[".buttonsAdded"] = false;

$tdatatb_clientes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_clientes[".isUseTimeForSearch"] = false;


$tdatatb_clientes[".badgeColor"] = "778899";


$tdatatb_clientes[".allSearchFields"] = array();
$tdatatb_clientes[".filterFields"] = array();
$tdatatb_clientes[".requiredSearchFields"] = array();

$tdatatb_clientes[".googleLikeFields"] = array();
$tdatatb_clientes[".googleLikeFields"][] = "clienteID";
$tdatatb_clientes[".googleLikeFields"][] = "cliente";
$tdatatb_clientes[".googleLikeFields"][] = "empresa";
$tdatatb_clientes[".googleLikeFields"][] = "data_cadastro";
$tdatatb_clientes[".googleLikeFields"][] = "whats";
$tdatatb_clientes[".googleLikeFields"][] = "email";
$tdatatb_clientes[".googleLikeFields"][] = "ativar";



$tdatatb_clientes[".tableType"] = "list";

$tdatatb_clientes[".printerPageOrientation"] = 0;
$tdatatb_clientes[".nPrinterPageScale"] = 100;

$tdatatb_clientes[".nPrinterSplitRecords"] = 40;

$tdatatb_clientes[".geocodingEnabled"] = false;










$tdatatb_clientes[".pageSize"] = 20;

$tdatatb_clientes[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_clientes[".strOrderBy"] = $tstrOrderBy;

$tdatatb_clientes[".orderindexes"] = array();

$tdatatb_clientes[".sqlHead"] = "SELECT clienteID,  	cliente,  	empresa,  	data_cadastro,  	whats,  	email,  	ativar";
$tdatatb_clientes[".sqlFrom"] = "FROM tb_clientes";
$tdatatb_clientes[".sqlWhereExpr"] = "";
$tdatatb_clientes[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_clientes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_clientes[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_clientes[".highlightSearchResults"] = true;

$tableKeystb_clientes = array();
$tableKeystb_clientes[] = "clienteID";
$tdatatb_clientes[".Keys"] = $tableKeystb_clientes;


$tdatatb_clientes[".hideMobileList"] = array();




//	clienteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "clienteID";
	$fdata["GoodName"] = "clienteID";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","clienteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "clienteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clienteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["clienteID"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "clienteID";
//	cliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cliente";
	$fdata["GoodName"] = "cliente";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","cliente");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cliente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["cliente"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "cliente";
//	empresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "empresa";
	$fdata["GoodName"] = "empresa";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","empresa");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "empresa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "empresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["empresa"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "empresa";
//	data_cadastro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "data_cadastro";
	$fdata["GoodName"] = "data_cadastro";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","data_cadastro");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_cadastro";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_cadastro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["data_cadastro"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "data_cadastro";
//	whats
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "whats";
	$fdata["GoodName"] = "whats";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","whats");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whats";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whats";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["whats"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "whats";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Email Hyperlink");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Email");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["email"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "email";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_clientes","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_clientes["ativar"] = $fdata;
		$tdatatb_clientes[".searchableFields"][] = "ativar";


$tables_data["tb_clientes"]=&$tdatatb_clientes;
$field_labels["tb_clientes"] = &$fieldLabelstb_clientes;
$fieldToolTips["tb_clientes"] = &$fieldToolTipstb_clientes;
$placeHolders["tb_clientes"] = &$placeHolderstb_clientes;
$page_titles["tb_clientes"] = &$pageTitlestb_clientes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_clientes"] = array();
//	tb_produtos
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_produtos";
		$detailsParam["dOriginalTable"] = "tb_produtos";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_produtos";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_produtos");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_clientes"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_clientes"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_clientes"][$dIndex]["masterKeys"][]="clienteID";

				$detailsTablesData["tb_clientes"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_clientes"][$dIndex]["detailKeys"][]="clienteID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_clientes"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_clientes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "clienteID,  	cliente,  	empresa,  	data_cadastro,  	whats,  	email,  	ativar";
$proto0["m_strFrom"] = "FROM tb_clientes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "clienteID",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto6["m_sql"] = "clienteID";
$proto6["m_srcTableName"] = "tb_clientes";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cliente",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto8["m_sql"] = "cliente";
$proto8["m_srcTableName"] = "tb_clientes";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "empresa",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto10["m_sql"] = "empresa";
$proto10["m_srcTableName"] = "tb_clientes";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "data_cadastro",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto12["m_sql"] = "data_cadastro";
$proto12["m_srcTableName"] = "tb_clientes";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "whats",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto14["m_sql"] = "whats";
$proto14["m_srcTableName"] = "tb_clientes";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto16["m_sql"] = "email";
$proto16["m_srcTableName"] = "tb_clientes";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_clientes"
));

$proto18["m_sql"] = "ativar";
$proto18["m_srcTableName"] = "tb_clientes";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "tb_clientes";
$proto21["m_srcTableName"] = "tb_clientes";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "clienteID";
$proto21["m_columns"][] = "cliente";
$proto21["m_columns"][] = "empresa";
$proto21["m_columns"][] = "data_cadastro";
$proto21["m_columns"][] = "whats";
$proto21["m_columns"][] = "email";
$proto21["m_columns"][] = "ativar";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "tb_clientes";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "tb_clientes";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_clientes";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_clientes = createSqlQuery_tb_clientes();


	
		;

							

$tdatatb_clientes[".sqlquery"] = $queryData_tb_clientes;

$tableEvents["tb_clientes"] = new eventsBase;
$tdatatb_clientes[".hasEvents"] = false;

?>